For the complete documentation index, see llms.txt. This page is also available as Markdown.

Users

Check user domain.

get

Check the domains the user had access to Admin functionality only.

Authorizations
AuthorizationstringRequired

Please enter token

Header parameters
x-api-versionstringRequired
ApplicationNameanyOptional

Name of the application to integrates with API’s to Semansys.Next.

PartnerNameanyOptional

Contract owner (organization) name that have embedded the API’s.

PartnerIDanyOptional

Business Identification Number (BIN) of the contract owner (organization) to embeds the API’s.

CustomerNameanyOptional

Customer (organization) name (ie. accounting firm, intermediary, ....).

CustomerIDanyOptional

Business Identification Number (BIN) of the customer.

ClientNameanyOptional

Client (organization) name of the customer of the accounting firm, intermediary...

ClientIDanyOptional

Business Identification Number (BIN) of the client.

Responses
200

The domains that user has access to.

application/json
string[]Optional
get/customer-corner/users
GET /customer-corner/users HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-version: text
Accept: */*
[
  "text"
]

Check user.

post

Check if user exists on the platform and if no updates the system.

Authorizations
AuthorizationstringRequired

Please enter token

Header parameters
x-api-versionstringRequired
ApplicationNameanyOptional

Name of the application to integrates with API’s to Semansys.Next.

PartnerNameanyOptional

Contract owner (organization) name that have embedded the API’s.

PartnerIDanyOptional

Business Identification Number (BIN) of the contract owner (organization) to embeds the API’s.

CustomerNameanyOptional

Customer (organization) name (ie. accounting firm, intermediary, ....).

CustomerIDanyOptional

Business Identification Number (BIN) of the customer.

ClientNameanyOptional

Client (organization) name of the customer of the accounting firm, intermediary...

ClientIDanyOptional

Business Identification Number (BIN) of the client.

Body
stringOptional
Responses
200

OK

No content

post/customer-corner/users
POST /customer-corner/users HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-version: text
Content-Type: application/json
Accept: */*
Content-Length: 106

"http://www.nltaxonomie.nl/nt18/kvk/20231213/entrypoints/kvk-rpt-jaarverantwoording-2023-nlgaap-micro.xsd"

No content

Was this helpful?